## NAME

r.out.tiff - Exports a GRASS raster file to a 8/24bit TIFF image file at the pixel resolution of the currently defined region.

## KEYWORDS

raster

## SYNOPSIS

r.out.tiff
r.out.tiff help
r.out.tiff [-ptlv] input=string output=string [compression=string]

### Flags:

-p
  TIFF Palette output (8bit instead of 24bit).
-t
  Output TIFF world file
-l
  Output Tiled TIFF
-v
  Verbose mode.

### Parameters:

input=string
  Existing raster file name
output=string
  File name for new TIFF file.
compression=string
  TIFF file compression
  Options: none,packbit,deflate,lzw
  Default: none

## DESCRIPTION

This program converts a GRASS raster file to a TIFF raster file. Output may be 8 or 24 bit (TrueColor). Optionally, a TIFF World file compatible with ESRI's and other's products may be output.

The program prompts the user for the name of a GRASS raster file, an output TIFF file, whether an 8 or 24 bit format is desired, and whether or not to create a TIFF world file. Currently only uncompressed, packpit, or deflate TIFF files are written. These output formats are known to be compatible with r.in.tiff.

The output filename will always have the suffix `.tif`, and the Tiff World file (if requested) `.tfw`. Any `.tif` or `.tiff` suffix (case insensitive) specified in the output filename will be discarded.

When writing with "-l" option, tiles are written at 128x128 pixels. For programs that can utilize tiles, it can help speed up some drawing operations.

The user may adjust region and resolution before export using g.region.

A better choice to export GRASS raster data might be r.out.gdal.

## SEE ALSO

g.region, r.in.gdal, r.out.gdal

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

GRASS 5.0 team

Last changed: $Date: 2006/06/19 15:47:15 $

Main index - raster index - Full index